<?php

/**
 * @file
 * Menu callbacks for watchbug
 */

/**
 * Callback function for watchbug_menu().
 *
 * @param Watchbug $watchbug
 */
function watchbug_view_view($watchbug) {

  if (!empty($watchbug->name)) {
    drupal_set_title(t('Watchbug - @name', array('@name' => $watchbug->name)));
  }

  $output = array(
    'watchbug' => array(
      '#type' => 'fieldset',
      '#attributes' => array(),
      '#title' => $watchbug->name,
      'value' => array(
        '#markup' => module_exists('devel') ? kprint_r($watchbug->data, TRUE, $watchbug->name) : var_export($watchbug->data, TRUE),
      ),
    ),
  );
  return $output;
}
